Page MenuHomePhabricator

Add extra 'special sections' to MediaWiki:Sidebar for cologneblue skin
Closed, DeclinedPublic

Description

Author: brianna.laugher

Description:
The special sections SEARCH, LANGUAGES and TOOLBOX only partially work with CologneBlue skin. Moving the search box and editing the links under "navigation" work, but not really anything else.

  • the heading "navigation" doesn't work. Cologne Blue always says "Browse".
  • For CologneBlue there should be 'special sections' EDIT, THISPAGE, CONTEXT, MYPAGES and SPECIALPAGES (actually, TOOLBOX could be made to work for the special pages section)

Also, the "This page" and "Context" sections could be combined to avoid so many sections.


Version: 1.14.x
Severity: enhancement

Details

Reference
bz16260

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:23 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz16260.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 6 2008, 1:39 PM
saper added a comment.Mar 14 2011, 1:00 AM

One improvement is possible now: you can actually see more MediaWiki:Sidebar items as the bug 2557 got fixed.

This was partially fixed; but I'll wontfix the rest.

First, what is fixed:

SEARCH and TOOLBOX now work as expected and intended; however, search is intentionally always displayed on top.

LANGUAGES is not necessary, as the interwiki links are displayed in the main article space.

"navigation" works, but, as you said, with a different heading name. This is (probably) intended.

"This page" and "Context" was in fact combined; I didn't even know about this bug when I did it :)

Now the wontfixing part:

The special sections - which seems to be your main point - are not necessary. There are fewer of them now, and they IMO should always be displayed right above the toolbox. You can't customize e.g. the page tabs on Vector, why would you customize this?

Danny_B removed a subscriber: wikibugs-l-list.